#ifndef slxAlias_H
#define slxAlias_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: slxAlias.h,v 1.1 2007/02/26 14:51:42 cguirao Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/10/96  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#ifdef __cplusplus
extern "C" {
#endif

typedef struct slxHASH {
     struct slxHASH  *next;
     char            *shortFITS;
     char            *alias;
} slxALIAS_HASH;

ccsCOMPL_STAT slxAliasToShortFITS(const slxKEYW_LINE alias,
                                  const vltLOGICAL   loadTable,
                                  const slxFILENAME  tableFileName,
                                  slxKEYW_LINE       shortFITS,
                                  ccsERROR           *error);

ccsCOMPL_STAT slxShortFITSToAlias(const slxKEYW_LINE  shortFITS,
                                  const vltLOGICAL    loadTable,
                                  const slxFILENAME   tableFileName,
                                  slxKEYW_LINE        alias,
                                  ccsERROR            *error);

#ifdef __cplusplus
}
#endif

#endif /*!slxAlias_H*/
