/******************************************************************************
 * E.S.O. - VLT project
 *
 * "@(#) $Id: ftuTestPlugInFctString.C,v 1.1.2.1 2008/09/11 08:11:40 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  23/01/2000  Created
 */

/************************************************************************
 *   NAME
 *   ftuTestPlugInFctString - Program to test Plug-In Conversion Function
 * 
 *   SYNOPSIS
 *   ftuTestPlugInFctString [par]
 * 
 *   DESCRIPTION
 *   Small example External Conversion Function which concatenates a
 *   number of strings, and returns the concatenated string.
 *
 *   FILES
 *
 *   ENVIRONMENT
 *
 *   COMMANDS
 *
 *   RETURN VALUES
 *
 *   CAUTIONS 
 *
 *   EXAMPLES
 *
 *   SEE ALSO
 *
 *   BUGS   
 * 
 *------------------------------------------------------------------------
 */
#define _POSIX_SOURCE 1

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

static const char *rcsId="@(#) $Id: ftuTestPlugInFctString.C,v 1.1.2.1 2008/09/11 08:11:40 cguirao Exp $"; 
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);


int main(int argc, char *argv[])
{
    char    outStr[1024];

    *outStr = '\0';
    for (int parNo = 1; parNo < argc; parNo++)
	strcat(outStr, argv[parNo]);
    printf(outStr);
    exit(0);
}

// --- oOo --- 







