#ifndef ftuVALUE_SRC_H
#define ftuVALUE_SRC_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuVALUE_SRC.h,v 1.1 2004/09/06 14:38:35 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  20/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ftuBASE.h"

// Callback to handle deletion of the ftuVALUE_SRC_HASH class.
void fttValueSrcDeleteEl(void *elPtr);
class ftuVALUE_SRC_HASH: public utilHASH
{
  public:
    ftuVALUE_SRC_HASH() {
	SetDeleteElFct(fttValueSrcDeleteEl);
    }
};


class ftuVALUE_SRC: public ftuBASE
{
  public:
    ftuVALUE_SRC();
    ~ftuVALUE_SRC();

    utilSTAT         SetSource(const char *source);
    ftuVALUE_SOURCE  GetSource(); 

    utilSTAT         SetReference(const char  *reference);
    char             *GetReference();

    utilSTAT         SetHeader(const int header);
    int              GetHeader();

    utilSTAT         SetAttribute(const int  value);
    int              GetAttribute();   

  protected:
  private:
    ftuVALUE_SOURCE  source_;
    slxKEYW_LINE     reference_;
    int              attribute_;
    int              header_;
};

#endif /*!ftuVALUE_SRC_H*/

// --- oOo ---
