
#*************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slx.master.test.tcl,v 1.145 2005/07/27 10:28:59 vltsccm Exp $"
#
# who      when     what
# -------- -------- ------------------
# jknudstr 02/21/95 created for cmm
#

cd ../
catch "exec chmod -R ug+rwx test/"
cd test
set progPath ../test
cd ../test

set noCcs 0
if {$argc > 0} {
    if {[string compare [lindex $argv 0] "NOCCS"] == 0} {
       set noCcs 1
    } 
}

echo =========================================================================
echo =========================================================================
echo Running the SLX Master Test executing all test scripts made for the
echo SLX module
echo =========================================================================
echo ERROR REPORT:
echo -------------------------------------------------------------------------
echo Running: slxAddFITSBlocks.test.tcl
echo
source $progPath/slxAddFITSBlocks.test.tcl
if {!$noCcs} {
echo -------------------------------------------------------------------------
    echo Running: slxAliasToShortFITS.test.tcl
    echo
    source $progPath/slxAliasToShortFITS.test.tcl
}
if {!$noCcs} {
    echo -------------------------------------------------------------------------
    echo Running: slxCreateFITS.test.tcl
    echo
    source $progPath/slxCreateFITS.test.tcl
}
echo -------------------------------------------------------------------------
echo Running: slxCreateFits2.test.tcl
echo
source $progPath/slxCreateFits2.test.tcl
if {!$noCcs} {
    echo -------------------------------------------------------------------------
    echo Running: slxCreateWriteFITS.test.tcl
    echo
    source $progPath/slxCreateWriteFITS.test.tcl
    echo -------------------------------------------------------------------------
    echo Running: slxCreateShortFITS.test.tcl
    echo
    source $progPath/slxCreateShortFITS.test.tcl
}
if {!$noCcs} {
    echo -------------------------------------------------------------------------
    echo Running: slxShortToNormalFits2.test.tcl
    echo
    source $progPath/slxShortToNormalFits2.test.tcl
}
echo -------------------------------------------------------------------------
echo Running: slxShortFITSToAlias.test.tcl
echo
source $progPath/slxShortFITSToAlias.test.tcl
if {!$noCcs} {
    echo -------------------------------------------------------------------------
    echo Running: slxSplitFITS.test.tcl
    echo
    source $progPath/slxSplitFITS.test.tcl
}
echo -------------------------------------------------------------------------
echo Running: slxSplitFits2.test.tcl
echo
source $progPath/slxSplitFits2.test.tcl
if {!$noCcs} {
    echo -------------------------------------------------------------------------
    echo Running: slxSplitShortFITS.test.tcl
    echo
    source $progPath/slxSplitShortFITS.test.tcl
}
#if {$noCcs} {
#    echo -------------------------------------------------------------------------
#    echo Running: slxLookUpKeyword.test.tcl
#    echo
#    source $progPath/slxLookUpKeyword.test.tcl
#}
echo -------------------------------------------------------------------------
echo Running: slxDetectFormat.test.tcl
echo
source $progPath/slxDetectFormat.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxGetKeyword.test.tcl
echo
source $progPath/slxGetKeyword.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxStoreLine.test.tcl
echo
source $progPath/slxStoreLine.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxPrepImageFile.test.tcl
echo
source $progPath/slxPrepImageFile.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxLoadSetup.test.tcl
echo
source $progPath/slxLoadSetup.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxStoreLineBuf.test.tcl
echo
source $progPath/slxStoreLineBuf.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxMergeSetupBuf.test.tcl
echo
source $progPath/slxMergeSetupBuf.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxLocateLoadSaveFile.test.tcl
echo
source $progPath/slxLocateLoadSaveFile.test.tcl
echo -------------------------------------------------------------------------
echo Running: slxTestGetNextKeyBuf.test.tcl
echo
source $progPath/slxTestGetNextKeyBuf.test.tcl
echo -------------------------------------------------------------------------
##############################################################################
#            TESTS OF SPRs
#############################################################################
# VLTSW20020319 (included in slxAddFITSBlocks)
# VLTSW20000078
echo Running: slxResolvePath.test.tcl 
echo
source $progPath/slxResolvePath.test.tcl
echo -------------------------------------------------------------------------
# VLTSW20000334
echo Running: slxYankExtention.test.tcl 
echo
source $progPath/slxYankExtention.test.tcl 
echo -------------------------------------------------------------------------
# VLTSW20000108  (included in slxLocateLoadSaveFile)
# VLTSW20010753,VLTSW20000298
echo Running: slxSPR.test.tcl.test.tcl 
echo
source $progPath/slxSPR.test.tcl 
echo -------------------------------------------------------------------------



echo -------------------------------------------------------------------------
echo Master Test of the SLX module has finished
echo =========================================================================
echo =========================================================================

