
###!/usr/local/bin/tcl
#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxSPR.test.tcl,v 1.145 2005/07/27 12:35:10 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# epozna    31/07/02  created to tests new SPRs
#                     VLTSW20010753 slxCatFits
#                     VLTSW20000298 NormalToShort special kw

#************************************************************************
#   NAME
#   slxSPR.test.prog - test script for slxCheckCompleteness
# 
#   SYNOPSIS
#   slxSPR.test.prog
# 
#   DESCRIPTION
#  
#
#   FILES
#
#
#   CAUTIONS
#
#------------------------------------------------------------------------
#
source ../test/defs
set tf slxCheckCompl.test



# 1.1- VLTSW20010753 slxCatFits 
# =======================================================
test slxCheckslxCatFits-1 {VLTSW20010753-slxCatFits } {
    exec slxCatFits ../test/$tf.4.bs.rf  > slxTestCatFits.tmp
    set msg [exec diff  slxTestCatFits.tmp slxTestCatFits.rs]
    set msg
} ""
catch "exec rm slxTestCatFits.tmp"


# 1.2-: VLTSW20010753 slxCatFits (file in current directory)
# =======================================================
test slxCheckslxCatFits-2 {VLTSW20010753-slxCatFits } {
    exec cp ../test/$tf.4.bs.rf ./slxTestCatFits.bs.tmp
    exec slxCatFits ./slxTestCatFits.bs.tmp > slxTestCatFits.temp
    set msg [exec diff  slxTestCatFits.temp slxTestCatFits.rs]
    set msg
} ""
catch "exec rm slxTestCatFits.tmp"
catch "exec rm slxTestCatFits.bs.tmp"

# 2.1: VLTSW20000298 problem with keyword 'HIERARCH ESO INS ADF COMMENT' 
# ========================================================================
set testNtS ../bin/slxTestNormalToShortFits2
#set fitsFile [pwd]/../test/NtoSFits.temp
#set dic   GROWING

test slxNormalToShortFits-1 {special keyword} {
	#catch "exec chmod ugo=+rwx $shFitsFile"
	#catch "exec rm $shFitsFile"
	set normalFitsLine "HIERARCH ESO INS ADF COMMENT = 'my IMA Table Version 0.1' / Optional user commen"
	#exec echo $normalFitsLine > $fitsFile
	exec $testNtS $normalFitsLine 
} "'INS.ADF.COMMENT  \"my IMA Table Version 0.1\"; # Optional user commen'"


# --- oOo ---
