/******************************************************************************
* E.S.O. - VLT project
*
* slxTestAddBlocks.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  02/09/94  Created 1. version
* epozna    30/07/02  comp warnings: exit->return, inc string.h
* (epozna    10/09/02  VLTSW20020319 see slxTestAddBlocksWithEnd.c)
*/

/************************************************************************
*   NAME
*   slxTestAddBlocks - tests the function slxAddFITSBlocks()
*
*   SYNOPSIS
*   slxTestAddBlocks <filename> <blocks> <write end (YES/NO)>
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestAddBlocks.c,v 1.145 2005/07/27 11:48:57 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main (int argc, char *argv[])
{
    ccsERROR    error;
    int         fd;
    vltLOGICAL  writeEnd; 


    if (argc < 4)
        {
        printf("\nSyntax is:\n slxTestAddBlocks <filename> <blocks> <write end>n\n");
        return(1);
        } 
    /* if ((fd = open(argv[1], O_WRONLY)) == -1)  */
    if ((fd = open(argv[1], O_RDWR)) == -1)     
       {
       printf("\nError occurred opening the file!!\n\n");
       return(1);
       }
    
    if (strcmp(argv[3], "YES") == 0)
        writeEnd = ccsTRUE;
    else 
        writeEnd = ccsFALSE; 

    if (slxAddFITSBlocks(fd, atoi(argv[2]), writeEnd, &error) != SUCCESS)
     /* VLTSW20020319
      if (slxAddFITSBlocksWithEnd(fd, atoi(argv[2]), &error) != SUCCESS)
     */
        {
        printf("\nError occurred writing in the file!!\n\n");
        return(1);
        }

    close(fd);
    return(0);
}










