
#!/usr/local/bin/tcl
#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxTestGetNextKeyBuf.test.tcl,v 1.145 2005/07/27 12:20:33 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ---------------------------------------------
# jknudstr  15/10/94  initial version
#

#**************************************************************************
#   NAME
#   slxGetNextKeyBuf.test.prog - test program for slxLocateSetupFile()
#
#   SYNOPSIS
#   slxGetNextKeyBuf.test.prog
#
#   DESCRIPTION
#
#   FILES
#
#   CAUTIONS
#
#-----------------------------------------------------------------------------

# Take over Ousterhout's test procedure 
source ../test/defs
cd ../test
set testDir [pwd]
set slxTestGetNextKeyBuf ../bin/slxTestGetNextKeyBuf


# TEST 1.1: Read in a file, copy keywords to other buffer, save
# =============================================================
test slxGetNextKeyBuf-1.1 {Load, copy, save file} {
    catch "exec $slxTestGetNextKeyBuf \
	    $testDir/slxGetNextKeyBuf.test.bs \
	    $testDir/slxGetNextKeyBuf.1.1.temp" msg
    set msg [exec diff \
	    $testDir/slxGetNextKeyBuf.test.1.1.rf \
	    $testDir/slxGetNextKeyBuf.1.1.temp] 
    set msg
} ""
catch "exec rm $testDir/slxGetNextKeyBuf.1.1.temp"
