/******************************************************************************
* E.S.O. - VLT project
*
* slxTestProgram.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/04/96  created
* epozna    30/07/02  comp warnings: exit->return, incl string 
* - - - - - - - - - - -APR 2004 - - - - - - - - - - - - - - - - - - - 
* mnylund   18/11/03  Compiler warnings removed
*/

/************************************************************************
*   NAME
*   
*
*   SYNOPSIS
*   
*
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h"


static char *rcsId="@(#) $Id: slxTestProgram.c,v 1.145 2005/07/27 12:03:55 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include <stdlib.h>
#include <string.h>

/* Local Headers 
 */
#include "slx.h"



/* Main
 */
int main (int argc, char *argv[])
{
    ccsERROR        error;
    ccsPROCNAME     procName;
    slxDYN_BUF      fileBuf;
    slxFILENAME     fileName;
    slxKEYW_LINE    keywordLine;
    vltINT32        numberFound;
    slxSTRING_LIST  *fileList;
    slxFILENAME     path;
    slxFILENAME     extension;
    miscHASH_TABLE  dicHashTable;
    vltINT32        i, j;
    vltINT32        precision;
    slxKEYW_LINE    dayTime;
    slxFITS_VALUE   value;
    slxDIC_RECORD_ENTRY   revision;

    if (argc < 0)
	{
	printf("\nCorrect syntax:\n \n\n");
	return(1);
	} 

    strcpy(procName, "slxTestProgram");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        {
        printf("\nError in initializing on RTAP!\n\n");
        return(1);
        } 

    miscHashInit(dicHashTable);
    if (slxLoadDicHashList(dicHashTable, "OBS-1.1|ESO-VLT-DIC.OBS-1.1|"
			   "/tmp/ESO-VLT-DIC.TEST-1.2.3.4",
			   NULL, &error) == FAILURE)
	return(1);

    return(0);

    if (slxLoadDicHash(dicHashTable, "ALL", &error) == FAILURE)
	goto errorCond;
    value.d = 1.2345;
    if (slxCreateShortFitsX(dicHashTable, value, keywordLine, &error,
			    "DET", "DIT", NULL) == FAILURE)
	goto errorCond;
    printf("\n%s", keywordLine);

    value.i = 87654321;
    if (slxCreateShortFitsX(dicHashTable, value, keywordLine, &error,
			    "DET", "NDIT", NULL) == FAILURE)
	goto errorCond;
    printf("\n%s", keywordLine);

    value.d = 32340.5678;
    if (slxCreateShortFitsX(dicHashTable, value, keywordLine, &error,
			    "MJD-OBS", NULL) == FAILURE)
	goto errorCond;
    printf("\n%s", keywordLine);

    if (slxCreateFits2(dicHashTable, value, TRUE, keywordLine, &error,
		       "MJD-OBS", NULL) == FAILURE)
	goto errorCond;
    printf("\n%s", keywordLine);


    value.d = 111111.2222;
    if (slxCreateShortFitsX(dicHashTable, value, keywordLine, &error,
			    "UTC", NULL) == FAILURE)
	goto errorCond;
    printf("\n%s", keywordLine);

    printf("\n");
    return(0);



    for (i = 0; i < 10000; i++)
	{
	printf("\nRunning for the %dth time", i);
	/*if (slxGetDicRevision("ISAAC_DCS", 1, revision, &error) == FAILURE)
	    goto errorCond; 
	printf("\nrevision=%s", revision);*/
	if (slxGetDicVersion("ISAAC_DCS", revision, &error) == FAILURE)
	    goto errorCond; 
	printf("\nversion=%s", revision);
	}
    return(0);

    miscHashInit(dicHashTable);
    for (j = 0; j < 100000; j++)
	{
	printf("\nRunning for the %dth time", j);
	if (slxLoadDicHash(dicHashTable, "ALL", &error) == FAILURE)
	    goto errorCond;
	}
    return(0);


    printf("\n=======================================================");
    for (j = 0; j < 100000; j++)
	{
	i = 0;
	while (slxGetDicRevision("GENERIC-1.0", i, revision, &error) ==SUCCESS)
	    {
	    printf("\nrevision=%s", revision);
	    i++;
	    }
	errCloseStack(&error);
	}
    return(0);
    printf("\n=======================================================");    
    for (i = 0; i < 10000; i++)
	{
	printf("\nRunning for the %dth time", i);
	if (slxGetDicRevision("ISAAC_DCS", 100, revision, &error) == SUCCESS)
	    printf("\nrevision=%s", revision);
	}
    printf("\n=======================================================");   

    return(0);


    miscHashInit(dicHashTable);
    if (slxLoadDicHash(dicHashTable, "ALL", &error) == FAILURE)
	goto errorCond;

    value.s = "THIS-IS-A-VERY-LONG-STRING-WHICH-MAKES-THE-LINE-LONGER-THAN-EIGHTY-CHARACTERS-FOR-SURE-FOR-SURE-FOR-SURE-FOR-SURE-FOR-SURE-FOR-SURE";
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "DET","EXPO", "NAME", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    if (slxCreateShortFits2(dicHashTable, value, keywordLine, 
			    &error, "DET","EXPO", "NAME", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);
    return(0);



    for (i = 0; i < 100000; i++)
	{
	slxGetUTDate(keywordLine);
	printf("\nDATE=%s",keywordLine);
	}
    return(0);
        
    value.i = 12345; /*.123456789;*/
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_SB2", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);
    
    value.d = 49800.41345000;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_MJD1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);
    
    value.d = 273.15;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_KELVIN1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = 54.345;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_KELVIN1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = -54.345;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_DEGD1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = 34.345;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_DEGH1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = 1.234;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_RADH1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = 1.234;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_RADD1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = 2.345;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_ARCMH1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    value.d = 2.345;
    if (slxCreateFits2(dicHashTable, value, FALSE, keywordLine,
		       &error, "CAT1","SUB2","PAR_ARCMD1", NULL) == FAILURE)
	goto errorCond;
    printf("\nkeywordLine=|%s|", keywordLine);

    

    printf("\n\n");
    return(0);

    precision = 0;
    if (slxGenDayTimPrec(precision, dayTime, &error) == FAILURE)
	goto errorCond;
    printf("\ndayTime = |%s|", dayTime);
    precision = 3;
    if (slxGenDayTimPrec(precision, dayTime, &error) == FAILURE)
	goto errorCond;
    printf("\ndayTime = |%s|", dayTime);
    precision = 5;
    if (slxGenDayTimPrec(precision, dayTime, &error) == FAILURE)
	goto errorCond;
    printf("\ndayTime = |%s|", dayTime);
    printf("\n\n\n");
    return(0);


    if (slxSplitFileName("/home/ins1b/jknudstr/.fhtHome/DICTIONARY/ALL", 
			 path, fileName, extension, &error) == FAILURE)
	goto errorCond;

    miscHashInit(dicHashTable);
    if (slxLoadDicHash(dicHashTable, 
		       "/home/ins1b/jknudstr/.fhtHome/DICTIONARY/ALL", 
		       &error) == FAILURE)
	goto errorCond;

    printf("\n==============================================================");
    if (slxLoadDicHash(dicHashTable, 
		       "$INS_ROOT/SYSTEM/Dictionary/All", 
		       &error) == FAILURE)
	goto errorCond;
    printf("\n==============================================================");
    if (slxLoadDicHash(dicHashTable, 
		       "AlL", 
		       &error) == FAILURE)
	goto errorCond;
    printf("\n==============================================================");
    if (slxLoadDicHash(dicHashTable, 
		       "$INS_ROOT/SYSTEM/Dictionary/ESO-VLT-DIC.ISAAC_DCS", 
		       &error) == FAILURE)
	goto errorCond;
    printf("\n==============================================================");
    if (slxLoadDicHash(dicHashTable, 
		       "ESO-VLT-DIC.ISAAC_DCS", 
		       &error) == FAILURE)
	goto errorCond;
    printf("\n==============================================================");
    if (slxLoadDicHash(dicHashTable, 
		       "ISAAC_DCS", 
		       &error) == FAILURE)
	goto errorCond;
    printf("\n==============================================================");
    for (i = 0; i < 1; i++)
	{
	if (slxLoadDicHash(dicHashTable, 
			   "AlL|"
			   "$INS_ROOT/SYSTEM/Dictionary/All|"
			   "$INS_ROOT/SYSTEM/Dictionary/ESO-VLT-DIC.ISAAC_DCS|"
			   "ESO-VLT-DIC.ISAAC_DCS|"
			   "ISAAC_DCS", 
			   &error) == FAILURE)
	    goto errorCond;
	printf("\n=========================================================");
	}




    
    if (slxInitStrList(&fileList, "HEADER", &error) == FAILURE)
        return(1);
    numberFound = 0;
    if (slxSearchFitsFile("/home/ins1b/jknudstr/*", &numberFound, 
			  fileList, ccsFALSE, ccsFALSE, ccsFALSE, NULL, 
			  &error) == FAILURE)
	return(1);



    slxGetUTDate(keywordLine);
    printf("\nDate is: |%s|", keywordLine);
    return(0);


    if (slxInitDynBuf(&fileBuf, &error) == FAILURE)
	goto errorCond;

    /*********************************************************************/
    strcpy(fileName, "./test/del.del");
    if (slxLoadFile(fileName, "", &fileBuf, &error) == FAILURE)
	goto errorCond;
    if (slxGetNextLineBuf(&fileBuf, slxINIT_DYN_BUF, keywordLine,
			  &error) == FAILURE)
	goto errorCond;
    do
	{
	if (slxGetNextLineBuf(&fileBuf, ccsFALSE, keywordLine,
			      &error) == FAILURE)
	    goto errorCond;
	printf("\nLen=%d, \"%s\"", (int) strlen(keywordLine), keywordLine);
	}
    while (*keywordLine != '\0');
    /*********************************************************************/

    /*if (slxProbeReplaceIndeces("SINGLE", subStKeyw, &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("SINGLE  ", subStKeyw, &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("SINGLE;", subStKeyw, &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("SINGLE22", subStKeyw, &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("CAT5.SUBX6.SUBY7.SINGLE8", subStKeyw, 
			       &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("CAT5.SUBX6.SUBY7.SINGLE8;", subStKeyw, 
			       &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("CAT5.SUBX6.SUBY7.SINGLE8   ", subStKeyw, 
			       &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("CAT5.SINGLE8", subStKeyw, &error) == FAILURE)
	goto errorCond;
    if (slxProbeReplaceIndeces("CAT5.SINGLE8  1234;   # COMMENT", 
			       subStKeyw, &error) == FAILURE)
	goto errorCond;

    goto errorCond;


    miscHashInit(dicHashTable);
    if (slxLoadDicHash(dicHashTable, "~/vlt/slx/ws/test/ESO-VLT-DIC.GROWING", 
		       &error) == FAILURE)
	goto errorCond;

    val.i = 1;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "BITPIX", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    val.i = 12345;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "BITPIX", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    val.i = 12345678;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "BITPIX", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    val.d = 12345.12345;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "BSCALE", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    val.d = 123456789.123456789;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "DBL-X", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    val.d = -123456789.123456789;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "DBL-X", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    val.d = -1;
    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
		       "DBL-X", NULL) == FAILURE)
	goto errorCond;
    printf("\n|%s|", fitsLine);
    
    printf("\n\n");

    goto errorCond;

    if (slxResolvePath("$INS_SETUPPATH", &bufPtr, &error) == FAILURE)
	goto errorCond;
    if (slxResolvePath("$HOME/vlt/ISAAC", &bufPtr, &error) == FAILURE)
	goto errorCond;
    if (slxResolvePath("~/vlt/ISAAC", &bufPtr, &error) == FAILURE)
	goto errorCond;
    if (slxResolvePath("~jknudstr/vlt/ISAAC/myfile",&bufPtr,&error) == FAILURE)
	goto errorCond;
    if (slxResolvePath("myfile",&bufPtr,&error) == FAILURE)
	goto errorCond;
    if (slxResolvePath("/diskb/jknudstr/vlt/myfile",&bufPtr,&error) == FAILURE)
	goto errorCond;


    strcpy(fitsLine, "jhdjh, dshjh,,,dskdjs,sdsk,ksdjs  ,  sdksdj,dsjkdj");
    bufPtr = fitsLine; 
    do 
	{
	if (slxGetNextField2(',', bufPtr, slxKEYW_LINE_LEN,
			     nextField, &bufPtr, &error) == FAILURE)
	    goto errorCond;
	}
    while (strcmp(nextField, "dsjkdj") != 0);

    strcpy(fitsLine, ",,jhdjh,    ");
    bufPtr = fitsLine; 
    do 
	{
	if (slxGetNextField2(',', bufPtr, slxKEYW_LINE_LEN,
			     nextField, &bufPtr, &error) == FAILURE)
	    goto errorCond;
	}
    while (strcmp(nextField, "    ") != 0);

    strcpy(fitsLine, "");
    bufPtr = fitsLine; 
    if (slxGetNextField2(',', bufPtr, slxKEYW_LINE_LEN,
			 nextField, &bufPtr, &error) == FAILURE)
	goto errorCond;

    strcpy(fitsLine, " ");
    bufPtr = fitsLine; 
    if (slxGetNextField2(',', bufPtr, slxKEYW_LINE_LEN,
			 nextField, &bufPtr, &error) == FAILURE)
	goto errorCond;


 
    if (slxShortToNormalFits2(
	"ADA.LAMP-1.NAME string; # Common name for lamp i  ", fitsLine,
    dicHashTable, &error) == FAILURE)
	goto errorCond;

    val.d = 1.2345;
    if (slxCreateShortFits2(dicHashTable, val, fitsLine, &error,
			    "DET.FRAM.CDELT1", NULL) == FAILURE)
	goto errorCond;

    val.d = 1.2345;
    if (slxCreateShortFits2(dicHashTable, val, fitsLine, &error,
			    "DET", "FRAM", "CDELT1", NULL) == FAILURE)
	goto errorCond;

    if (slxCreateFits2(dicHashTable, val, ccsTRUE, fitsLine, &error,
			    "DET", "FRAM", "CDELT1", NULL) == FAILURE)
	goto errorCond;
    if (slxSplitFits2(fitsLine, category, subSystem1, subSystem2,
		      parameter, value, comment, &error) == FAILURE)
	goto errorCond;

    if (slxSplitFits2("HIERARCH ESO DET DIT    = 1.2345 / cccc", 
		      category, subSystem1, subSystem2,
		      parameter, value, comment, &error) == FAILURE)
	goto errorCond;

    if (slxSplitFits2("HIERARCH ESO DET FRAM XXXX BITS    = 123456 / xxxx", 
		      category, subSystem1, subSystem2,
		      parameter, value, comment, &error) == FAILURE)
	goto errorCond;*/


    return(0);

  errorCond:  
#ifndef NOCCS
    if (error.errorNumber)
#else
    if (errGetStackSize(&error))
#endif
	slxPrintError(&error);
    ccsExit(&error);
    return(1);
}






