/******************************************************************************
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuBASE.C,v 1.1.2.1 2008/09/11 08:11:40 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  20/01/2000  Created 
 */

/************************************************************************
 *
 *   NAME
 *   ftuBASE - Base class for the FTU library.
 * 
 *   SYNOPSIS
 *   
 *   PARENT CLASS
 * 
 *   DESCRIPTION
 *   The class is the base class for (most of) the FTU classes and provides,
 *   the basic, common things.
 *
 *   PUBLIC METHODS
 *
 *   PUBLIC DATA MEMBERS
 *
 *   PROTECTED METHODS
 *
 *   PROTECTED DATA MEMBERS
 *
 *   FILES
 *
 *   ENVIRONMENT
 *
 *   RETURN VALUES
 *
 *   CAUTIONS 
 *
 *   EXAMPLES
 *
 *   SEE ALSO
 *
 *   BUGS   
 * 
 *------------------------------------------------------------------------
 */

static const char *rcsId="@(#) $Id: ftuBASE.C,v 1.1.2.1 2008/09/11 08:11:40 cguirao Exp $"; 
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include "ftuBASE.h"


char  *ftuAction2Str(const int actionNo)
{
    switch (actionNo)
	{
	case ftuADD:
	    return ftuADD_STR;
	    break;
	case ftuCHANGE:
	    return ftuCHANGE_STR;
	    break;
	case ftuRENAME:
	    return ftuRENAME_STR;
	    break;
	case ftuMOVE:
	    return ftuMOVE_STR;
	    break;
	case ftuCOPY:
	    return ftuCOPY_STR;
	    break;
	case ftuREMOVE:
	    return ftuREMOVE_STR;
	    break;
	case ftuFILE_SPLIT:
	    return ftuFILE_SPLIT_STR;
	    break;
	case ftuFILE_RENAME:
	    return ftuFILE_RENAME_STR;
	    break;
	case ftuFILE_PATH:
	    return ftuFILE_PATH_STR;
	    break;
	case ftuHDR_DUMP:
	    return ftuHDR_DUMP_STR;
	    break;
	default:
	    // case ftuUNKNOWN:
	    return ftuUNKNOWN_STR;
	    break;
	}   // end-switch (actionNo)
}


ftuBASE::ftuBASE()
{
}

ftuBASE::~ftuBASE()
{
}

/*___oOo___*/
