/*******************************************************************************
* E.S.O. - VLT project
*
* 
*
* who       when        what
* --------  ----------  ----------------------------------------------
* jknudstr  24/02/2000  created
*/

/************************************************************************
*   NAME
* 
*   SYNOPSIS
* 
*   DESCRIPTION
*
*   FILES
*
*   ENVIRONMENT
*
*   RETURN VALUES 
*
*   CAUTIONS 
*
*   EXAMPLES
*
*   SEE ALSO
*
*   BUGS   
*
*------------------------------------------------------------------------
*/

//static const char *rcsId="@(#) $Id: ftuSwap.c,v 1.1.2.2 2008/09/11 08:26:54 cguirao Exp $"; 
//static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include "ftuSwap.h"

#ifdef __linux__

ftuINT16 SWAP_INT16_(const ftuINT16 x) 
{
    /*
      ftuINT16 x_ = x;
      bswap_16(x_);
      return x_;
    */

    /*
    union u_tag {
        char cvals[2];
        short sval;
    } u;
    char  c;

    u.sval = x; 
    c = u.cvals[1];
    u.cvals[1] = u.cvals[0];
    u.cvals[0] = c;
    return (u.sval);
    */
    
    union { unsigned short int raw; ftuINT16 typed; } ret; 
    ret.typed = x; 
    ret.raw = htons(ret.raw);
    return(ret.typed);
}

ftuINT32 SWAP_INT32_(const ftuINT32 x) 
{ 
    /*
      ftuINT32 x_ = x; 
      bswap_32(x_);
      return x_;
    */

    union { unsigned int raw; ftuINT32 typed; } ret; 
    ret.typed = x; 
    ret.raw = htonl(ret.raw);
    return(ret.typed);
}

ftuFP32 SWAP_FP32_(const ftuFP32 x) 
{ 
    /*
      ftuFP32 x_ = x;
      bswap_32((int)x_);
      return x_;
    */

    union { unsigned int raw; ftuFP32 typed; } ret; 
    ret.typed = x; 
    ret.raw = htonl(ret.raw);
    return(ret.typed);
}

ftuFP64 SWAP_FP64_(const ftuFP64 x)
{
    /*
      ftuFP64 x_ = x;
      bswap_64(x_);
      return x_;
    */

    union { unsigned long raw[2]; ftuFP64 typed; } ret;
    unsigned long tmp;
    
    ret.typed = x;
    tmp = ret.raw[0];
    ret.raw[0] = htonl(ret.raw[1]);
    ret.raw[1] = htonl(tmp);
    return(ret.typed);
}

#endif

/*___oOo___*/
