SUP.CHCK.NAME    "NOT SET";    # Name of appl. checking set-up
SUP.CHCK.DATE    "NOT SET";    # Date for checking the set-up
SUP.CHCK.UT                 0; # Time for checking the set-up
SUP.CHCK.STATUS  "NOT SET";    # Status of checking the set-up
SUP.TYPE         "detector";  # The type of set-up                
SUP.ID           "Test detector setup"; # The ID for the set-up  
SUP.PROG.ID      "NOT SET";    # ID of obs. programme
SUP.PROG.NAME    "NOT SET";    # Name of responsible
SUP.VER.ID       "NOT SET";    # Set-up version control number 
SUP.MODE         "NOT SET";    # Observation mode
SUP.INST.ID      "NOT SET";    # Instrument ID
SUP.CRTE.NAME    "slxExtractSetup/1.0"; # Creator of the set-up    
SUP.CRTE.DATE    "1994-10-13"; # Date for creating                 
SUP.CRTE.UT             37259; # UT time (s)                       
SUP.LCHG.NAME    "NOT SET";    # Name of appl./person changing
SUP.LCHG.DATE    "NOT SET";    # Date for changing the set-up
SUP.LCHG.UT                 0; # Time for changing the set-up
GEN.ID           "ARC-0001/1.4"; # Version of related document
GEN.PROJ.ID      "053.00-000"; # ESO program identification
GEN.EXPO.NO              7487; # Image Sequence Number
GEN.EXPO.TYPE    "SCI     ";   # Type of exposure
GEN.EXPO.LST           53707.; # Loc. Sid. time at start of ex.
DET.NAME         "TK2048EB";   # Detector name
DET.ID           "ccd#39";     # Detector serial id.
DET.TYPE         "CCD Tektronix"; # Detector type
DET.PIXSIZE           25.E-06; # Size of pixel (m)
DET.BITS                   32; # ADU bits per pixel
DET.FRAM.BITS              16; # Number of bits/pixel transfered
DET.FRAM.NAXIS1           501; # Number of pixels along x
DET.FRAM.CRVAL1         750.0; # x coordinate of lower left pixel
DET.FRAM.CRPIX1           1.0; # x coordinate of reference pixel
DET.FRAM.CDELT1           1.0; # Binning factor along x
DET.FRAM.NAXIS2           501; # Number of pixels along y
DET.FRAM.CRVAL2         750.0; # y coordinate of lower left pixel
DET.FRAM.CRPIX2           1.0; # y coordinate of reference pixel
DET.FRAM.CDELT2           1.0; # Binning factor along y
DET.DKTIME             180.00; # Dark current time (s)
DET.TEMP-VAR              0.0; # Temperature drift during exposure
DET.TEMPMEAN            152.1; # Mean detector temperature (K)
DET.COMP.ID      "ccdr-V4.1";  # A900 CCD-program name+vers
DET.DATE         "04/04/93";   # CCD implementation date
DET.MODE         "FAST    ";   # Readout mode
DET.OUTPUTS                 2; # On-chip outputs connected
DET.OUTREF                  2; # Ref. output (gives image orient.)
DET.UDIT               180.00; # User defined integr. time (sec)
DET.SHUT.TMOPEN           .86; # Time needed to open shutter(sec)
DET.SHUT.TMCLOS           .91; # Time needed to close shutter(sec)
