SUP.CHCK.NAME    "NOT SET";    # Name of appl. checking set-up
SUP.CHCK.DATE    "NOT SET";    # Date for checking the set-up
SUP.CHCK.UT                 0; # Time for checking the set-up
SUP.CHCK.STATUS  "NOT SET";    # Status of checking the set-up
SUP.TYPE         "reference";  # The type of set-up                
SUP.ID           "Test Reference Set-Up"; # The ID for the set-up  
SUP.PROG.ID      "NOT SET";    # ID of obs. programme
SUP.PROG.NAME    "NOT SET";    # Name of responsible
SUP.VER.ID       "NOT SET";    # Set-up version control number 
SUP.MODE         "NOT SET";    # Observation mode
SUP.INST.ID      "NOT SET";    # Instrument ID
SUP.CRTE.NAME    "slxExtractSetup/1.0"; # Creator of the set-up    
SUP.CRTE.DATE    "1994-10-13"; # Date for creating                 
SUP.CRTE.UT             37259; # UT time (s)                       
SUP.LCHG.NAME    "NOT SET";    # Name of appl./person changing
SUP.LCHG.DATE    "NOT SET";    # Date for changing the set-up
SUP.LCHG.UT                 0; # Time for changing the set-up
GEN.ID           "ARC-0001/1.4"; # Version of related document
GEN.PROJ.ID      "053.00-000"; # ESO program identification
GEN.EXPO.NO              7487; # Image Sequence Number
GEN.EXPO.TYPE    "SCI     ";   # Type of exposure
GEN.EXPO.LST           53707.; # Loc. Sid. time at start of ex.
GEN.TEMP                281.8; # Observatory Ambient Temp. (K)
GEN.TEMPVAR               0.0; # Observatory Temp. var. (K)
GEN.RHUM                 25.0; # Observatory Ambient Humidity (%)
GEN.RHUMVAR               0.0; # Observatory Humidity var. (%)
GEN.FWHM                 0.00; # Observatory seeing (arcsec)
GEN.FWHMVAR              0.00; # Observatory seeing var. (arcsec)
GEN.WIND.SPEED            4.0; # Observatory wind speed (m/sec)
GEN.WIND.SPEEDVA         -.10; # Observ. wind speed var. (m/sec)
GEN.WIND.DIREC           17.0; # Wind direction (N=0 E=90)
GEN.WIND.DIRVAR        -11.00; # Wind direction var.
TEL.ID           "ESONTT  ";   # Telescope Identification
TEL.FOCU.ID      "NASM-B  ";   # Telescope focus ID
TEL.LON              -70.7345; # Telescope Longitude (+=East)
TEL.LAT              -29.2584; # Telescope Latitude (+=North)
TEL.FOCU.LEN           38.482; # Focus length (m)
TEL.FOCU.SCALE          1.489; # Focus scale (deg/m) = 5.36""/mm
TEL.TRAK.RATEA          .0042; # Tracking rate in alpha (deg/s)
TEL.TRAK.RATED             0.; # Tracking rate in delta (deg/s)
TEL.DOME.TEMP           281.9; # Tel temperature (Kelvin)
TEL.DOME.TEMPVAR          0.0; # Tel temp. variation (Kelvin)
TEL.DOME.FWHM            0.00; # Tel seeing (arcsec)
TEL.DOME.FWHMVAR         0.00; # Tel seeing variation (arcsec)
TEL.PARANG.START        28.77; # Parallactic angle at exp start
TEL.PARANG.END          29.50; # Parallactic angle at exp end
TEL.AIRM.START        1.44654; # Airmass at exp start
TEL.AIRM.END          1.45582; # Airmass at exp end
ADA.ID           "ADAPTB  ";   # Adapter Identification
ADA.MODE         "STD     ";   # Mode (standard)
ADA.POSANG              0.000; # Rotat. at the start of the exp.
ADA.GUID-1.X       -.2519E-01; # Guide probe x position (m)
ADA.GUID-1.Y           -.1419; # Guide probe y position (m)
ADA.GUID-2.X           -.1638; # Guide probe x position (m)
ADA.GUID-2.Y            .1653; # Guide probe y position (m)
INS.ID           "EMMI #1 ";   # Instrument Identification
INS.COMP.ID      "HP RTE-A V5"; # Instrument computer op. sys.
INS.MODE         "RILD    ";   # Mode EMMI is in
INS.PATH         "RED     ";   # EMMI arm used
INS.FOCU.ENC             8095; # Red focus unit encoder value
INS.FOCU.MODE    "USER    ";   # Red camera focus determination
DET.NAME         "TK2048EB";   # Detector name
DET.ID           "ccd$36";     # Detector serial id.
DET.TYPE         "CCD Tektronix"; # Detector type
DET.PIXSIZE           24.E-06; # Size of pixel (m)
DET.BITS                   16; # ADU bits per pixel
DET.FRAM.BITS              16; # Number of bits/pixel transfered
DET.FRAM.NAXIS1           501; # Number of pixels along x
DET.FRAM.CRVAL1         750.0; # x coordinate of lower left pixel
DET.FRAM.CRPIX1           1.0; # x coordinate of reference pixel
DET.FRAM.CDELT1           1.0; # Binning factor along x
DET.FRAM.NAXIS2           501; # Number of pixels along y
DET.FRAM.CRVAL2         750.0; # y coordinate of lower left pixel
DET.FRAM.CRPIX2           1.0; # y coordinate of reference pixel
DET.FRAM.CDELT2           1.0; # Binning factor along y
DET.DKTIME             180.00; # Dark current time (s)
DET.MODE         "SLOW    ";   # Readout mode
DET.OUTPUTS                 2; # On-chip outputs connected
DET.OUTREF                  2; # Ref. output (gives image orient.)
DET.UDIT               180.00; # User defined integr. time (sec)
INS.SLIT.ANG        0.000E+00; # Inclinition of Slit comment toooo
INS.ANG                    11; # Inclinition of Slit comment toooo
