#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxTclTestArm_uifClass.tcl,v 1.145 2005/07/27 11:50:15 vltsccm Exp $" 
#
# slxTclTestArm_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.49
#   date   : Fri Dec 15 10:17:09 MEZ 1995
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


itcl_class slxTclTestArm_uifClass { 
  inherit itcl_frame UifPanel 

  constructor {args} { 

    global auto_path 

    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    itcl_frame::constructor -relief raised -borderwidth 3
    parseClassName $this 

    canvas    $this.cv ;   # Create Canvas
    classSize $this.cv 204 65; # Set Dimensions


    UifRadioButton     $cv.dark -onVal Dark -label Dark -width 3 \
                       -variable gvar(slxTclTestArm_setup.4.DET.EXP.TYPE) \
                       -value Dark -canvasAnchor center
    UifRadioButton     $cv.normal -onVal Normal -label Normal -width 5 \
                       -variable gvar(slxTclTestArm_setup.4.DET.EXP.TYPE) \
                       -value Normal -canvasAnchor center
    UifFrame           $cv.slxTclTestArm-wdg1 -width 1000 -height 1 \
                       -canvasAnchor nw
    UifEntry           $cv.time -maxVal 100 -minVal 0 \
                       -variable gvar(slxTclTestArm_setup.1.DET.WIN1.UIT1) \
                       -width 8 -canvasAnchor center

    #
    #  Canvas Items
    #

    $cv create text 10 43 -tags "text slxTclTestArm-item1 classItem slxTclTestArm" -anchor nw \
              -text "Time" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    pack append  $this  $this.cv  {fill expand} 

    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.dark)  {UifRadioButton 35 21 1 0 Normal 0 1 setup.4.DET.EXP.TYPE 0 0 0 0 0 0}
    set panWidget(${top}.normal)  {UifRadioButton 107 22 1 0 Normal 0 1 setup.4.DET.EXP.TYPE 0 0 0 0 0 0}
    set panWidget(${top}.slxTclTestArm-wdg1)  {UifFrame 372 54 1 0 0 0 1 gvar(slxTclTestArm-wdg15) 0 0}
    set panWidget(${top}.time)  {UifEntry 89 50 1 0 1 0 1 setup.1.DET.WIN1.UIT1 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.dark)  {setup keyword DET EXP TYPE}
    set panWidgetHlp(${top}.normal)  {setup keyword DET EXP TYPE}
    set panWidgetHlp(${top}.time)  {setup keyword EXPTIME}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
