/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestLoadSetup.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  24/01/95  Created 1. version
*/

/************************************************************************
*   NAME
*   slxTestSPR -
* 
*   SYNOPSIS
*   
* 
*   DESCRIPTION
*   VLTSW20010137 : error formatting
*
*   ENVIRONMENT
*  
*
*
*   RETURN VALUES
*   0  Success
*   1  Success
*
*
*   EXAMPLES
*  
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: slxTestSPR.c,v 1.145 2005/07/27 12:12:25 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* Local Headers 
 */
#include "slx.h"
#include "slxTest.h"
#include "slxStringList.h"
/* Main
 */
int main (int argc, char *argv[])
{


    ccsERROR          error;

    slxDYN_BUF        setupHandle;
    slxCHANGE_RECORD  changeRec;

    /*test dir
     */
    slxSTRING_LIST  * fileList;
    vltINT32     noOfFiles;

    
   
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        {
        printf("\nError in initializing on RTAP!\n\n");
        exit(1);
        }

    if (slxInitStrList(&fileList, "HEADER", &error) == FAILURE)
      return FAILURE;
    if(slxGetDirInfo2("~/Modules/OSLX/slx/test/dd",fileList,&noOfFiles,&error,ccsTRUE)!=SUCCESS)
      {
	slxDumpError(&error);
	slxResetDynBuf(&setupHandle, &error);
	return FAILURE;
      }

    slxResetDynBuf(&setupHandle, &error);
    ccsExit(&error);
    exit(0);
}







